% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/test.R
\name{igraph_version}
\alias{igraph_version}
\alias{igraph.version}
\title{Query igraph's version string}
\usage{
igraph_version()
}
\value{
A character scalar, the igraph version string.
}
\description{
Queries igraph's original version string. See details below.
}
\details{
The igraph version string is the same as the version of the R package for
all released igraph versions. For development versions and nightly builds,
they might differ however.

The reason for this is, that R package version numbers are not flexible
enough to cover in-between releases versions, e.g. alpha and beta versions,
release candidates, etc.
}
\examples{

## Compare to the package version
packageDescription("igraph")$Version
igraph_version()
}
\author{
Gabor Csardi \email{csardi.gabor@gmail.com}
}
\keyword{graphs}
