% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/topology.R
\name{isomorphisms}
\alias{isomorphisms}
\alias{graph.get.isomorphisms.vf2}
\title{Calculate all isomorphic mappings between the vertices of two graphs}
\usage{
isomorphisms(graph1, graph2, method = "vf2", ...)
}
\arguments{
\item{graph1}{The first graph.}

\item{graph2}{The second graph.}

\item{method}{Currently only \sQuote{vf2} is supported, see
\code{\link{isomorphic}} for details about it and extra arguments.}

\item{...}{Extra arguments, passed to the various methods.}
}
\value{
A list of vertex sequences, corresponding to all
  mappings from the first graph to the second.
}
\description{
Calculate all isomorphic mappings between the vertices of two graphs
}
\seealso{
Other graph isomorphism: 
\code{\link{count_isomorphisms}()},
\code{\link{count_subgraph_isomorphisms}()},
\code{\link{graph_from_isomorphism_class}()},
\code{\link{isomorphic}()},
\code{\link{isomorphism_class}()},
\code{\link{subgraph_isomorphic}()},
\code{\link{subgraph_isomorphisms}()}
}
\concept{graph isomorphism}
