% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/operators.R
\name{rep.igraph}
\alias{rep.igraph}
\alias{*.igraph}
\title{Replicate a graph multiple times}
\usage{
\method{rep}{igraph}(x, n, mark = TRUE, ...)

\method{*}{igraph}(x, n)
}
\arguments{
\item{x}{The input graph.}

\item{n}{Number of times to replicate it.}

\item{mark}{Whether to mark the vertices with a \code{which} attribute,
an integer number denoting which replication the vertex is coming
from.}

\item{...}{Additional arguments to satisfy S3 requirements,
currently ignored.}
}
\description{
The new graph will contain the input graph the given number
of times, as unconnected components.
}
\examples{
rings <- make_ring(5) * 5
}
