% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/versions.R
\name{upgrade_graph}
\alias{upgrade_graph}
\title{Igraph data structure versions}
\usage{
upgrade_graph(graph)
}
\arguments{
\item{graph}{The input graph.}
}
\value{
The graph in the current format.
}
\description{
Igraph's internal data representation changes sometimes between
versions. This means that it is not possible to use igraph objects
that were created (and possibly saved to a file) with an older
igraph version.
}
\details{
\code{\link{graph_version}} queries the current data format,
or the data format of a possibly older igraph graph.

\code{upgrade_graph} can convert an older data format
to the current one.
}
\seealso{
graph_version to check the current data format version
or the version of a graph.
}
