% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/attributes.R
\name{vertex_attr_names}
\alias{vertex_attr_names}
\alias{list.vertex.attributes}
\title{List names of vertex attributes}
\usage{
vertex_attr_names(graph)
}
\arguments{
\item{graph}{The graph.}
}
\value{
Character vector, the names of the vertex attributes.
}
\description{
List names of vertex attributes
}
\examples{
g <- make_ring(10) \%>\%
  set_vertex_attr("name", value = LETTERS[1:10]) \%>\%
  set_vertex_attr("color", value = rep("green", 10))
vertex_attr_names(g)
plot(g)
}
\seealso{
Other graph attributes: 
\code{\link{delete_edge_attr}()},
\code{\link{delete_graph_attr}()},
\code{\link{delete_vertex_attr}()},
\code{\link{edge_attr<-}()},
\code{\link{edge_attr_names}()},
\code{\link{edge_attr}()},
\code{\link{graph_attr<-}()},
\code{\link{graph_attr_names}()},
\code{\link{graph_attr}()},
\code{\link{igraph-dollar}},
\code{\link{igraph-vs-attributes}},
\code{\link{set_edge_attr}()},
\code{\link{set_graph_attr}()},
\code{\link{set_vertex_attr}()},
\code{\link{vertex_attr<-}()},
\code{\link{vertex_attr}()}
}
\concept{graph attributes}
